[mr-button] {

    @include button;
    min-width: 140px;
    text-align: center;
    display: inline-block;

    &.primary {
        background: $primary;
        color: white;
        border: 1px solid $primary;

        &.reverse {
            background: transparent;
            color: $primary;
        }

        &.light {
            border: none;
            background: $primary-light;
            color: $primary;
        }

        &.hover {
            color: $primary;
            background: transparent;
            border: none;

            &:hover {
                background: $primary-light;
            }
        }
    }

    &.secondary {
        background: $secondary;
        color: white;
        border: 1px solid $secondary;

        &.reverse {
            background: transparent;
            color: $secondary;
        }

        &.light {
            border: none;
            background: $secondary-light;
            color: $secondary;
        }

        &.hover {
            color: $secondary;
            background: transparent;
            border: none;

            &:hover {
                background: $secondary-light;
            }
        }
    }

    &.block {
        width: 100%;
        padding: 12px;
    }

    &.with-icon {
        @include flex(inline-flex, center, space-between);
        padding: 2px 16px 2px 8px;
        min-width: unset;

        i {
            font-size: 1.5rem;
            margin-right: 5px;
        }
    }

    &.small {
        padding: 4px 12px;
        min-width: 100px;
        font-size: .8rem;
    }

    &.disabled {
        background: #f1f1f1;
        color: #bbb;
        border-color: #f1f1f1;
        pointer-events: none;
        cursor: auto;
    }

    &.loading {
        opacity: .7;
        cursor: auto;
        pointer-events: none;
        height: unset;
    }

    &:focus {
        outline: none;
    }
}

.mr-text-button {
    background: transparent;
    border: none;
    padding: 0;
    font-weight: bold;
    color: $primary;
    font-size: .8rem;
    text-transform: uppercase;
    min-width: unset;

    i {
        font-size: .9rem;
    }

    &.danger {
        color: $red;
    }

    &.icon {
        display: inline-block;
        font-size: 1.2rem;
        margin-left: 5px;
    }
}

.mr-icon-button {
    @include flex(flex, center, center);
    min-width: unset;
    height: 40px;
    width: 40px;
    color: white;
    background: $primary;
    border: none;
    font-size: 1.6rem;
    transition: .2s;
    border-radius: 50%;
}

.mr-icon-only-button {
    line-height: 0;
    padding: 0;
    background: transparent;
    min-width: unset;
    border: none;
    font-size: 1.5rem;
    position: relative;
    color: #d7d7d7;
    display: inline-block;

    i {
        position: relative;
        z-index: 1;
    }

    &:hover {
        color: $primary;

        &::after {
            content: '';
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            border-radius: 50%;
            background: #f9f9f9;
            width: 170%;
            height: 170%;
        }
    }

    &.secondary {
        background: transparent;
        color: $secondary;
        border: none;

        &::after {
            content: '';
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            border-radius: 50%;
            background: $secondary-light;
            width: 170%;
            height: 170%;
        }
    }
}
